#************************************************************************
# Licensed Materials - Property of IBM
# 5724-M24
# Copyright IBM Corporation 2008,2009. All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#************************************************************************


if ((len(sys.argv) != 2)):
    print "This script requires 1 parameters: profileDirectory Dashboard zip file"
    print "e.g.: <scriptname>.py wbmonitor"
    raise ValueError    

profileDir = sys.argv[0]
dashboardZipFile = sys.argv[1]

execfile(profileDir+'/config.wbm/MonitorProfileVals.py')
node     = nodeName
server   = serverName
        
print "node  " + node
print "server  " + server
AdminControl.trace( 'com.ibm.wbimonitor.*=all=enabled' )

optList=["-serverName",server,"-nodeName",node,"-spaces",dashboardZipFile]
AdminTask.updateBusinessSpaceWidgets(optList)
AdminConfig.save()


